/*
 * $Id$
 */

package org.codehaus.plexus.redback.role.model;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class RedbackRoleModel implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field modelVersion
     */
    private String modelVersion;

    /**
     * Field applications
     */
    private java.util.List applications;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addApplication
     * 
     * @param modelApplication
     */
    public void addApplication(ModelApplication modelApplication)
    {
        if ( !(modelApplication instanceof ModelApplication) )
        {
            throw new ClassCastException( "RedbackRoleModel.addApplications(modelApplication) parameter must be instanceof " + ModelApplication.class.getName() );
        }
        getApplications().add( modelApplication );
    } //-- void addApplication(ModelApplication) 

    /**
     * Method getApplications
     */
    public java.util.List getApplications()
    {
        if ( this.applications == null )
        {
            this.applications = new java.util.ArrayList();
        }
        
        return this.applications;
    } //-- java.util.List getApplications() 

    /**
     * Get null
     */
    public String getModelVersion()
    {
        return this.modelVersion;
    } //-- String getModelVersion() 

    /**
     * Method removeApplication
     * 
     * @param modelApplication
     */
    public void removeApplication(ModelApplication modelApplication)
    {
        if ( !(modelApplication instanceof ModelApplication) )
        {
            throw new ClassCastException( "RedbackRoleModel.removeApplications(modelApplication) parameter must be instanceof " + ModelApplication.class.getName() );
        }
        getApplications().remove( modelApplication );
    } //-- void removeApplication(ModelApplication) 

    /**
     * Set null
     * 
     * @param applications
     */
    public void setApplications(java.util.List applications)
    {
        this.applications = applications;
    } //-- void setApplications(java.util.List) 

    /**
     * Set null
     * 
     * @param modelVersion
     */
    public void setModelVersion(String modelVersion)
    {
        this.modelVersion = modelVersion;
    } //-- void setModelVersion(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
